%define mod_name gbulb
%define debug_package %{nil}

Name:           python-%{mod_name}
Version:        0.6.1
Release:        5%{?dist}
Url:            http://github.com/nathan-hoad/gbulb
Summary:        GLib event loop for asyncio (PEP 3156)
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/92/cb/d2a0e4899cde5aa797e31d77a0a7422dcd188d880bb38d0e9d1b1196e5c6/%{mod_name}-%{version}.tar.gz
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{mod_name}}

Patch0002: 0002-futures.CancelledError-asyncio.CancelledError.patch
Patch0003: 0003-futures.InvalidStateError-asyncio.InvalidStateError.patch

%description
Gbulb is a python library that implements a PEP 3156 interface for the GLib
main event loop. It is designed to be used together with the tulip reference
implementation.

%package -n python%{python3_pkgversion}-gbulb
Summary:        GLib event loop for asyncio (PEP 3156)

%description -n python%{python3_pkgversion}-gbulb
Gbulb is a python library that implements a PEP 3156 interface for the GLib
main event loop. It is designed to be used together with the tulip reference
implementation.

%prep
%autosetup -p1 -n %{mod_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-gbulb
%doc AUTHORS.rst README.md CHANGELOG.md examples 
%{python3_sitelib}/%{mod_name}*

%changelog
* Wed Nov 04 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-gbulb.git

* Wed Nov 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0080570
- version 0.6.1-5

* Wed Nov 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2afc076
- Drop socket-related patch

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d104f11
- version 0.6.1-4

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dd00528
- rpm: convert to use spec.in file

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 965ab22
- Apply fixes for Python 3.8 compat

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1af5fd9
- version 0.6.1-3

* Tue Aug 11 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 68636ea
- version 0.6.1-2

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - fdf1f28
- Update travis

* Fri Feb 28 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 278d7bf
- travis: switch to Qubes 4.1

* Fri Feb 28 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - d7ea869
- Package for Debian

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 74e1c2e
- travis: switch to bionic

* Mon Sep 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1abb360
- Update to 0.6.1

* Mon Sep 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3dc92a6
- travis: add fc29

* Fri Jun 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7627e43
- version 0.5.3-2

* Fri Jun 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6adacdf
- travis: add fc27 and fc28

* Sat May 26 2018 Frédéric Pierret <frederic.epitre@orange.fr> - f71d1fa
- Add NO_ARCHIVE :=1 and add common Fedora and CentOS pkg definition

* Mon Feb 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 83efd94
- travis: initial version

* Sun Oct 15 2017 Frédéric Pierret <frederic.epitre@orange.fr> - ac0f0d5
- Add CentOS support with respect to python34 packages names

* Sat Jul 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 41e6b40
- version 0.5.3-1

* Sat Jul 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4242580
- Add dist tag to release number

* Sat Jul 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3628c10
- Add qubes-builder integration

* Sat Jul 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa0403f
- Initial spec + sources for python3-gbulb-0.5.3

